gr::radar::estimator_sync_pulse_c_impl Class Reference

`#include <estimator_sync_pulse_c_impl.h>`

Inheritance diagram for gr::radar::estimator_sync_pulse_c_impl:

## Public Member Functions

| estimator_sync_pulse_c_impl (int num_xcorr, const std::string len_key)
| ~estimator_sync_pulse_c_impl ()
void | set_num_xcorr (int num)
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

int | d_num_xcorr
pmt::pmt_t | d_port_id
int | d_noutput_items_vec
std::vector< float > | d_in_tx_real
std::vector< float > | d_in_rx_real

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)

## Additional Inherited Members

Public Types inherited from gr::radar::estimator_sync_pulse_c
typedef std::shared_ptr< estimator_sync_pulse_c > | sptr
Static Public Member Functions inherited from gr::radar::estimator_sync_pulse_c
static sptr | make (int num_xcorr, const std::string len_key="packet_len")
| Return a shared_ptr to a new instance of radar::estimator_sync_pulse_c.

## Constructor & Destructor Documentation

## estimator_sync_pulse_c_impl()

gr::radar::estimator_sync_pulse_c_impl::estimator_sync_pulse_c_impl | ( | int | num_xcorr,
|  | const std::string | len_key )

## ~estimator_sync_pulse_c_impl()

gr::radar::estimator_sync_pulse_c_impl::~estimator_sync_pulse_c_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::radar::estimator_sync_pulse_c_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## set_num_xcorr()

void gr::radar::estimator_sync_pulse_c_impl::set_num_xcorr | ( | int | num | ) |

virtual

Implements gr::radar::estimator_sync_pulse_c.

## work()

int gr::radar::estimator_sync_pulse_c_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## d_in_rx_real

std::vector<float> gr::radar::estimator_sync_pulse_c_impl::d_in_rx_real

## d_in_tx_real

std::vector<float> gr::radar::estimator_sync_pulse_c_impl::d_in_tx_real

## d_noutput_items_vec

int gr::radar::estimator_sync_pulse_c_impl::d_noutput_items_vec

## d_num_xcorr

int gr::radar::estimator_sync_pulse_c_impl::d_num_xcorr

## d_port_id

pmt::pmt_t gr::radar::estimator_sync_pulse_c_impl::d_port_id

The documentation for this class was generated from the following file:

- estimator_sync_pulse_c_impl.h